ApiClaim
Preview a coupon (no consume)
Always `200` for a known nonce — status carries the reason (`minted` | `claimed` | `expired` | `voided`). Check `npub` against the merchant you are charging.
GET
/api/coupons/claimAlways 200 for a known nonce — status carries the reason
(minted | claimed | expired | voided). Check npub against the
merchant you are charging.
Query Parameters
nonce*string
Length
22 <= length <= 22Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/coupons/claim?nonce=stringstringstringstri"{ "couponId": "string", "coupon": { "type": "percent", "percent": 0, "productDs": [ "string" ], "cap": { "amount": 1, "currency": "ARS" } }, "name": "string", "description": "string", "npub": "string", "image": "string", "nonce": "string", "expiresAt": 0, "status": "minted", "claimedAt": 0}